Aavescan logo Aavescan

Data platform and API for Aave
API docs

Endpoints

Aave Protocol

Returns the latest Aave protocol totals including total supplied, total borrowed, average stablecoin APRs and breakdowns by market, chain and currency.

See the Protocol dashboard to explore this dataset.

GET /v2/protocol/latest

Query parameters

  • apiKey

    Your Aavescan API key.

Example query

curl "https://api.aavescan.com/v2/protocol/latest?apiKey=YOUR_KEY"

Example response (snippet)

{
  "lastUpdated": "2026-05-09T15:05:40.090Z",
  "date": "2026-05-09",
  "timestamp": 1778338900,
  "totalSuppliedUsd": 28216971886.601254,
  "totalBorrowedUsd": 11959574550.580015,
  "totalStablecoinsSuppliedUsd": 8534339198.227878,
  "totalStablecoinsBorrowedUsd": 6749544246.049578,
  "averageStablecoinsSupplyApr": 0.02825078641900219,
  "averageStablecoinsBorrowApr": 0.041160561641279,
  "currencies": {
    "USD": {
      "totalSuppliedUsd": 9218144791.74364,
      "totalBorrowedUsd": 6355855925.265428
    },
    "ETH": {
      "totalSuppliedUsd": 12840076556.617481,
      "totalBorrowedUsd": 4976748632.902705
    }
  },
  "chains": {
    "ethereum": {
      "totalSuppliedUsd": 21605053148.53058,
      "totalBorrowedUsd": 9085722365.173931
    },
    "plasma": {
      "totalSuppliedUsd": 1821744683.699598,
      "totalBorrowedUsd": 937707860.4190425
    }
  },
  "markets": {
    "aave-v3-ethereum": {
      "totalSuppliedUsd": 20558935143.54873,
      "totalBorrowedUsd": 8743321646.770481
    },
    "aave-v3-horizon": {
      "totalSuppliedUsd": 1821744683.699598,
      "totalBorrowedUsd": 937707860.4190425
    }
  }
}